Skip to content

Cancel an Appointment
deprecated

Request

Deprecated: new integrations should use PATCH /v2/appointments/{id}/cancel (cancelAppointmentV2) instead. This endpoint remains available for existing hero_confirmed integrations.

Cancel a booked or reserved appointment. The slot will be released and made available for other bookings.

Security
apiKeyAuth and practiceGroupId
Path
idstringrequired
Bodyapplication/jsonrequired
suppress_mailboolean
suppress_cancellation_policyboolean
episode_idstring^\d+$
curl -i -X PATCH \
  'https://developer.herohealth.net/_mock/apis/public-api/openapi/v1/appointments/{id}/cancel' \
  -H 'Content-Type: application/json' \
  -H 'x-api-key: YOUR_API_KEY_HERE' \
  -H 'x-practice-group-id: YOUR_API_KEY_HERE' \
  -d '{
    "suppress_mail": true,
    "suppress_cancellation_policy": true,
    "episode_id": "string"
  }'

Responses

Ok

Response
No content